<?php
session_start();

include_once('includes/config.php');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);


// Check if user is logged in
if (!isset($_SESSION['id']) || $_SESSION['id'] == 0) {
    header('location:logout.php');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the submitted form data
    $email = $_POST['email'];
    $amount = $_POST['amount'];
    $address = $_POST['address'];
    $coin = $_POST['coin'];
    $abb = $_POST['abb'];

    // Prepare a statement to select transaction_status
    $stmt = $con->prepare("SELECT transaction_status FROM wallet WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $stmt->bind_result($transaction_status);
    $stmt->fetch();
    $stmt->close();

    // Prepare a statement to insert into transaction
    $insert_stmt = $con->prepare("INSERT INTO transaction (email, amount, address, coin, abb, transaction_status) VALUES (?, ?, ?, ?, ?, ?)");
    $insert_stmt->bind_param("sdssss", $email, $amount, $address, $coin, $abb, $transaction_status);

    if ($insert_stmt->execute()) {
        // Redirect after successful insertion
        echo "<script>window.location.href='processing.php';</script>";
        exit();
    } else {
        // Handle insertion error
        echo "Error: " . $insert_stmt->error;
    }

    $insert_stmt->close();
}

// Close the database connection
?>

<!DOCTYPE HTML>
<html lang="en">
<head>
  
    <script src="https://kit.fontawesome.com/cd803bac46.js" crossorigin="anonymous"></script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
<title>PayApp - Finance, Banking, Wallet, Crypto Mobile PWA</title>
<link rel="stylesheet" type="text/css" href="styles/bootstrap.css">
<link rel="stylesheet" type="text/css" href="fonts/bootstrap-icons.css">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@500;600;700&family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
<link rel="manifest" href="_manifest.json">
<meta id="theme-check" name="theme-color" content="#FFFFFF">
<link rel="apple-touch-icon" sizes="180x180" href="app/icons/icon-192x192.png"></head>
<body class="theme-light">
<div id="preloader"><div class="spinner-border color-highlight" role="status"></div></div>

<div id="page">

<div id="footer-bar" class="footer-bar-1 footer-bar-detached">

<a href="send.php"><i class="fa fa-arrow-up"></i><span>Send</span></a>

<a href="setting.php"><i class="fa fa-cogs"></i><span>Setting</span></a>
<a href="index.php" class="circle-nav-2"><i class="fa fa-home"></i><span>Home</span></a>
<a href="profile.php"><i class="fa fa-user"></i><span>Profile</span></a>
<a href="#" data-bs-toggle="offcanvas" data-bs-target="#menu-sidebar"><i class="fa fa-bars"></i><span>More</span></a>
</div>





<form method="post">
  
  
  
  
<div class="page-content footer-clear">

<div class="pt-3">
<div class="page-title d-flex">
<div class="align-self-center me-auto">
<p class="color-highlight">Hello Enabled</p>
<h1 class="color-theme">Transfer <?php echo $_GET["a"]; ?></h1>
</div>
<div class="align-self-center ms-auto">


<div class="dropdown-menu">
<div class="card card-style shadow-m mt-1 me-1">
<div class="list-group list-custom list-group-s list-group-flush rounded-xs px-3 py-1">
<a href="page-wallet.html" class="list-group-item">
<i class="has-bg gradient-green shadow-bg shadow-bg-xs color-white rounded-xs bi bi-credit-card"></i>
<strong class="font-13">Wallet</strong>
</a>
<a href="page-activity.html" class="list-group-item">
<i class="has-bg gradient-blue shadow-bg shadow-bg-xs color-white rounded-xs bi bi-graph-up"></i>
<strong class="font-13">Activity</strong>
</a>
<a href="page-profile.html" class="list-group-item">
<i class="has-bg gradient-yellow shadow-bg shadow-bg-xs color-white rounded-xs bi bi-person-circle"></i>
<strong class="font-13">Account</strong>
</a>
<a href="page-signin-1.html" class="list-group-item">
<i class="has-bg gradient-red shadow-bg shadow-bg-xs color-white rounded-xs bi bi-power"></i>
<strong class="font-13">Log Out</strong>
</a>
</div>
</div>
</div>
</div>
</div>
</div>
<div class="tabs tabs-links" id="tab-group-6">
<div class="tab-controls bg-transparent mx-3 mb-3">
<a class="font-12 rounded-s" data-bs-toggle="collapse" href="#tab-17" aria-expanded="false">Custom Transfer</a>
<a class="font-12 rounded-s" data-bs-toggle="collapse" href="#tab-18" aria-expanded="false">Between Accounts</a>
</div>
<div class="card card-style">
<div class="content my-1">
<div class="collapse show" id="tab-17" data-bs-parent="#tab-group-6">
  
  
<div class="form-custom form-label form-icon mt-3">
<i class="bi bi-at font-16"></i>
<input type="text" class="form-control rounded-xs" required="" name="address" id="c2" placeholder="Wallet address" />
<label for="c2" class="color-highlight">Wallet Address</label>
<span>(required)</span>
</div>




<div class="pb-2"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-currency-dollar font-14"></i>
<input type="number" class="form-control rounded-xs" id="c32" name="amount" required="" placeholder="Amount" />
<label for="c32" class="color-highlight">Amount ($)</label>
<span>(required)</span>
</div>



<div class="pb-2"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-currency-dollar font-14"></i>
<input type="hidden" class="form-control rounded-xs" id="c32" name="coin" value="<?php echo $_GET["a"]; ?>" placeholder="" required="" />
<label for="c32" class="color-highlight">Coin ($)</label>
</div>


<div class="pb-2"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-currency-dollar font-14"></i>
<input type="hidden" class="form-control rounded-xs" id="c32" name="abb" value="<?php echo $_GET["column"]; ?>" required="" placeholder="" />
<label for="c32" class="color-highlight">Coin ($)</label>
</div>


<?php 




$userid=$_SESSION['id'];

$query=mysqli_query($con,"select * from wallet where id='$userid'");
while($result=mysqli_fetch_array($query))
{?> 



<div class="pb-2"></div>

<div class="form-custom form-label form-icon">
<i class="bi bi-currency-dollar font-14"></i>
<input type="hidden" class="form-control rounded-xs" id="c32" name="email" value="<?php echo $result['email'];?>" required="" placeholder="Amount" />
<label for="c32" class="color-highlight">Amount ($)</label>
<span>(required)</span>
</div>


<?php } ?>

<button type="submit" class="btn btn-full gradient-highlight rounded-s shadow-bg shadow-bg-xs mt-3 mb-3">Confirm</button>
</div>
<div class="collapse" id="tab-18" data-bs-parent="#tab-group-6">
<div class="pt-3"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-bank font-13"></i>
<select class="form-select rounded-xs" id="c6a">
<option value="0" disabled selected>Transfer From</option>
<option value="0">Main Account</option>
<option value="1">Savings Account</option>
<option value="2">Company Account</option>
</select>
<label for="c6a" class="color-highlight">Transfer From</label>
</div>
<div class="pt-2"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-bank font-13"></i>
<select class="form-select rounded-xs" id="c6b">
<option value="0" disabled selected>Transfer To</option>
<option value="0">Main Account</option>
<option value="1">Savings Account</option>
<option value="2">Company Account</option>
</select>
<label for="c6b" class="color-highlight">Transfer To</label>
</div>
<div class="mt-3"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-currency-dollar font-14"></i>
<input type="number" class="form-control rounded-xs" id="c321" placeholder="Enter Amount" />
<label for="c321" class="color-highlight">Enter Amount</label>
<span>(required)</span>
</div>
<div class="pb-2"></div>
<div class="form-check form-check-custom">
<input class="form-check-input" type="checkbox" name="type" value id="c2ab">
<label class="form-check-label" for="c2ab">I accept the Transfer <a href="#">Terms of Service</a></label>
<i class="is-checked color-blue-dark font-14 bi bi-check-circle-fill"></i>
<i class="is-unchecked color-blue-dark font-14 bi bi-circle"></i>
</div>
<a href="#" class="btn btn-full gradient-highlight rounded-s shadow-bg shadow-bg-xs mt-3 mb-3">Transfer Between Accounts</a>
</div>
</div>
</div>
</div>
</div>

</form>














<div id="menu-request" class="offcanvas offcanvas-bottom offcanvas-detached rounded-m">

<div class="menu-size" style="min-height:290px;">
<div class="d-flex mx-3 mt-3 py-1">
<div class="align-self-center">
<img src="images/pictures/5s.jpg" alt="img" width="40" class="rounded-s me-2 pe-1">
</div>
<div class="align-self-center">
<h3 class="mb-n1">Jane Doe</h3>
<p class="mb-0 font-11">You've never requested funds from Jane</p>
</div>
<div class="align-self-center ms-auto">
<a href="#" class="ps-4 shadow-0 me-n2" data-bs-dismiss="offcanvas">
<i class="bi bi-x color-red-dark font-26 line-height-xl"></i>
</a>
</div>
</div>
<div class="divider divider-margins mt-2 mb-2"></div>
<div class="content mt-0">
<div class="pb-3"></div>
<div class="form-custom form-label form-icon">
<i class="bi bi-code-square font-14"></i>
<input type="number" class="form-control rounded-xs" id="c43" placeholder="150.00" />
<label for="c43" class="form-label-always-active color-highlight font-11">Amount</label>
<span class="font-10">( Currency: USD )</span>
</div>
<div class="pb-2"></div>
<div class="form-custom form-label form-icon mb-3">
<i class="bi bi-pencil-fill font-12"></i>
<textarea class="form-control rounded-xs" placeholder="Transfer Details" style="height:50px!important;" id="c71"></textarea>
<label for="c7" class="color-highlight font-11">Transfer Details</label>
</div>
<div class="form-check form-check-custom">
<input class="form-check-input" type="checkbox" name="type" value id="c2a1">
<label class="form-check-label" for="c2a1">I accept the Transfer <a href="#">Terms of Service</a></label>
<i class="is-checked color-blue-dark font-14 bi bi-check-circle-fill"></i>
<i class="is-unchecked color-blue-dark font-14 bi bi-circle"></i>
</div>
</div>
<a href="#" data-bs-dismiss="offcanvas" class="mx-3 btn btn-full gradient-green shadow-bg shadow-bg-s mb-4">Transfer Funds</a>
</div>
</div>

<div id="menu-sidebar" data-menu-active="nav-pages" data-menu-load="menu-sidebar.html" class="offcanvas offcanvas-start offcanvas-detached rounded-m">
</div>

<div id="menu-highlights" data-menu-load="menu-highlights.html" class="offcanvas offcanvas-bottom offcanvas-detached rounded-m">
</div>

<div id="menu-notifications" data-menu-load="menu-notifications.html" class="offcanvas offcanvas-top offcanvas-detached rounded-m">
</div>
</div>

<script src="scripts/bootstrap.min.js"></script>
<script src="scripts/custom.js"></script>
</body>
